| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxSplitterEvent Class Reference
Events

`#include <wx/splitter.h>`

Inheritance diagram for wxSplitterEvent:
[legend]

## Detailed Description

This class represents the events generated by a splitter control.

Also there is only one event class, the data associated to the different events is not the same and so not all accessor functions may be called for each event. The documentation mentions the kind of event(s) for which the given accessor function makes sense: calling it for other types of events will result in assert failure (in debug mode) and will return meaningless results.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxSplitterEvent& event)

Event macros:

- EVT_SPLITTER_SASH_POS_CHANGING(id, func):
  The sash position is in the process of being changed. May be used to modify the position of the tracking bar to properly reflect the position that would be set if the drag were to be completed at this point. Processes a `wxEVT_SPLITTER_SASH_POS_CHANGING` event.
- EVT_SPLITTER_SASH_POS_CHANGED(id, func):
  The sash position was changed. May be used to modify the sash position before it is set, or to prevent the change from taking place. Processes a `wxEVT_SPLITTER_SASH_POS_CHANGED` event.
- EVT_SPLITTER_UNSPLIT(id, func):
  The splitter has been just unsplit. Processes a `wxEVT_SPLITTER_UNSPLIT` event.
- EVT_SPLITTER_DCLICK(id, func):
  The sash was double clicked. The default behaviour is to unsplit the window when this happens (unless the minimum pane size has been set to a value greater than zero). Processes a `wxEVT_SPLITTER_DOUBLECLICKED` event.

##

Library: wxCore
Category: Events

See Also
  wxSplitterWindow, Events and Event Handling

## Public Member Functions
| wxSplitterEvent (wxEventType eventType=wxEVT_NULL, wxSplitterWindow *splitter=NULL)
| Constructor.
int | GetSashPosition () const
| Returns the new sash position.
wxWindow * | GetWindowBeingRemoved () const
| Returns a pointer to the window being removed when a splitter window is unsplit.
int | GetX () const
| Returns the x coordinate of the double-click point.
int | GetY () const
| Returns the y coordinate of the double-click point.
void | SetSashPosition (int pos)
| In the case of `wxEVT_SPLITTER_SASH_POS_CHANGED` events, sets the new sash position.
Public Member Functions inherited from wxNotifyEvent
| wxNotifyEvent (wxEventType eventType=wxEVT_NULL, int id=0)
| Constructor (used internally by wxWidgets only).
void | Allow ()
| This is the opposite of Veto(): it explicitly allows the event to be processed.
bool | IsAllowed () const
| Returns true if the change is allowed (Veto() hasn't been called) or false otherwise (if it was).
void | Veto ()
| Prevents the change announced by this event from happening.
Public Member Functions inherited from wxCommandEvent
| wxCommandEvent (wxEventType commandEventType=wxEVT_NULL, int id=0)
| Constructor.
void * | GetClientData () const
| Returns client data pointer for a listbox or choice selection event (not valid for a deselection).
wxClientData * | GetClientObject () const
| Returns client object pointer for a listbox or choice selection event (not valid for a deselection).
long | GetExtraLong () const
| Returns extra information dependent on the event objects type.
int | GetInt () const
| Returns the integer identifier corresponding to a listbox, choice or radiobox selection (only if the event was a selection, not a deselection), or a boolean value representing the value of a checkbox.
int | GetSelection () const
| Returns item index for a listbox or choice selection event (not valid for a deselection).
wxString | GetString () const
| Returns item string for a listbox or choice selection event.
bool | IsChecked () const
| This method can be used with checkbox and menu events: for the checkboxes, the method returns true for a selection event and false for a deselection one.
bool | IsSelection () const
| For a listbox or similar event, returns true if it is a selection, false if it is a deselection.
void | SetClientData (void *clientData)
| Sets the client data for this event.
void | SetClientObject (wxClientData *clientObject)
| Sets the client object for this event.
void | SetExtraLong (long extraLong)
| Sets the m_extraLong member.
void | SetInt (int intCommand)
| Sets the m_commandInt member.
void | SetString (const wxString &string)
| Sets the m_commandString member.
Public Member Functions inherited from wxEvent
| wxEvent (int id=0, wxEventType eventType=wxEVT_NULL)
| Constructor.
virtual wxEvent * | Clone () const =0
| Returns a copy of the event.
wxObject * | GetEventObject () const
| Returns the object (usually a window) associated with the event, if any.
wxEventType | GetEventType () const
| Returns the identifier of the given event type, such as `wxEVT_BUTTON`.
virtual wxEventCategory | GetEventCategory () const
| Returns a generic category for this event.
int | GetId () const
| Returns the identifier associated with this event, such as a button command id.
wxObject * | GetEventUserData () const
| Return the user data associated with a dynamically connected event handler.
bool | GetSkipped () const
| Returns true if the event handler should be skipped, false otherwise.
long | GetTimestamp () const
| Gets the timestamp for the event.
bool | IsCommandEvent () const
| Returns true if the event is or is derived from wxCommandEvent else it returns false.
void | ResumePropagation (int propagationLevel)
| Sets the propagation level to the given value (for example returned from an earlier call to wxEvent::StopPropagation).
void | SetEventObject (wxObject *object)
| Sets the originating object.
void | SetEventType (wxEventType type)
| Sets the event type.
void | SetId (int id)
| Sets the identifier associated with this event, such as a button command id.
void | SetTimestamp (long timeStamp=0)
| Sets the timestamp for the event.
bool | ShouldPropagate () const
| Test if this event should be propagated or not, i.e. if the propagation level is currently greater than 0.
void | Skip (bool skip=true)
| This method can be used inside an event handler to control whether further event handlers bound to this event will be called after the current one returns.
int | StopPropagation ()
| Stop the event from propagating to its parent window.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxEvent
int | m_propagationLevel
| Indicates how many levels the event can propagate.

## Constructor & Destructor Documentation

wxSplitterEvent::wxSplitterEvent | ( | wxEventType | eventType = `wxEVT_NULL`,
|  | wxSplitterWindow * | splitter = `NULL`
| ) |  |

Constructor.

Used internally by wxWidgets only.

## Member Function Documentation

int wxSplitterEvent::GetSashPosition | ( |  | ) | const

Returns the new sash position.

May only be called while processing `wxEVT_SPLITTER_SASH_POS_CHANGING` and `wxEVT_SPLITTER_SASH_POS_CHANGED` events.

wxWindow* wxSplitterEvent::GetWindowBeingRemoved | ( |  | ) | const

Returns a pointer to the window being removed when a splitter window is unsplit.

May only be called while processing `wxEVT_SPLITTER_UNSPLIT` events.

int wxSplitterEvent::GetX | ( |  | ) | const

Returns the x coordinate of the double-click point.

May only be called while processing `wxEVT_SPLITTER_DOUBLECLICKED` events.

int wxSplitterEvent::GetY | ( |  | ) | const

Returns the y coordinate of the double-click point.

May only be called while processing `wxEVT_SPLITTER_DOUBLECLICKED` events.

void wxSplitterEvent::SetSashPosition | ( | int | pos | ) |

In the case of `wxEVT_SPLITTER_SASH_POS_CHANGED` events, sets the new sash position.

In the case of `wxEVT_SPLITTER_SASH_POS_CHANGING` events, sets the new tracking bar position so visual feedback during dragging will represent that change that will actually take place. Set to -1 from the event handler code to prevent repositioning.

May only be called while processing `wxEVT_SPLITTER_SASH_POS_CHANGING` and `wxEVT_SPLITTER_SASH_POS_CHANGED` events.

Parameters

  pos | New sash position.